Time tracking
Unlock time entries
Admin-only. Unlocks entries either by date cutoff (before) or by an explicit list of entry_ids.
DELETE
/
{team_id}
/
time
/
tracking
/
lock
Unlock time entries (admin override)
curl --request DELETE \
--url https://api.superthread.com/v1/{team_id}/time/tracking/lock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"before": 1608742037016,
"entry_ids": [
"<string>"
]
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/tracking/lock"
payload = {
"before": 1608742037016,
"entry_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({before: 1608742037016, entry_ids: ['<string>']})
};
fetch('https://api.superthread.com/v1/{team_id}/time/tracking/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"affected_count": 42
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
application/json
Response
Unlock applied
Number of entries whose locked state changed as a result of the call.
Example:
42
Previous
Query the time tracking audit logReturns audit entries for time-tracking actions, filterable by entry id, user, and time range.
Next
⌘I
Unlock time entries (admin override)
